<?php
get_header();
?>

<?php if(is_search()) { ?>
<h2>"<?php if (function_exists('the_search_query')) { the_search_query(); } else  echo wp_specialchars($s); ?>"</h2>
<p>Below are posts containing <em>"<?php if (function_exists('the_search_query')) { the_search_query(); } else  echo wp_specialchars($s); ?>"</em>. To view the full post
please click the post title.</p>
<?php } ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<div class="post" id="post-<?php the_ID(); ?>">
	 <h2 class="storytitle"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
	<div class="meta">Tagged with <?php the_category(',') ?> on <?php the_time('jS F, Y.') ?>
	<a href="<?php comments_link(); ?>"><?php comments_number('No comments.','One comment.','% comments.'); ?></a> <?php edit_post_link(__('Edit This')); ?></div>

	<div class="storycontent">
		<?php if(is_search()) { ?>
		<?php the_excerpt(__('(more...)')); ?>
		<?php } else { ?>
		<?php the_content(__('(more...)')); ?>
		<?php } ?>
	</div>

	<div class="feedback">
		<?php wp_link_pages(); ?>
	</div>

</div>

<?php comments_template(); // Get wp-comments.php template ?>

<?php endwhile; else: ?>
<p>Sorry, no posts matched your criteria.</p>
<?php endif; ?>

<div class="storycontent pnav">
	<?php posts_nav_link(' &#8212; ', __('&laquo; Previous Page'), __('Next Page &raquo;')); ?>
</div>

<?php get_footer(); ?>
